$(function () {
  $(".header_root").load("./comm/header.html");
  $(".footer_root").load("./comm/footer.html");
  // nav传值显示下划线
  $(".header_root").data("nav_info", 5);
  // 新闻资讯搜索信息
  let newsInfo = {
    page: 1,
    size: 9,
    newstitle: "",
    total: 0
  };
  // 加载新闻资讯列表
  function loadNewsList(params) {
    let newsItemHtml = "";
    $.each(params.list, function(newsIndex, newsItem) {
      newsItemHtml = '<div class="news_list_item"><img class="news_item_img" src="' + $.showImageUrl + newsItem.newspic + '" /><div class="news_item_title">' + newsItem.newstitle + '</div><div class="news_item_stitle">' + $.msToDateString(newsItem.createtime) + '</div></div>';
    });
    $(".news_list_box").html(newsItem);
  }
  // 搜索新闻列表
  function searchList() {
    let _url = $.baseUrl + "n/listc";
    $.ajax({
      type: 'POST',
      url: _url,
      dataType: "json",
      contentType: "application/json; charset=utf-8",
      data: JSON.stringify({
        page: newsInfo.page,
        size: newsInfo.size,
        newstitle: newsInfo.newstitle
      }),
      success: function (data) {
        if (data.code === 0) {
          loadNewsList(data.obj);
        } else {
          alert(data.msg);
        }
      }
    });
  }
  // 回车搜索
  function enterSearch(event) {
    // 兼容FF和IE和Opera
    let theEvent = event || window.event;
    let code = theEvent.keyCode || theEvent.which || theEvent.charCode;
    let content = theEvent.target.value;
    search_helpcomm = content;
    if (code == 13) {
      searchList();
    }
  }
  // 输入内容改变
  function searchInputChange(event) {
    let theEvent = event || window.event;
    search_helpcomm = theEvent.target.value;
  }
  $(".news_info #search_help").on("change", searchInputChange);
  $(".news_info #search_help").on("keydown", enterSearch);
  $(".news_info .search_box").click(searchList);
});